package com.xzzn.ems.mapper;

import java.util.List;
import com.xzzn.ems.domain.EmsPcsBranchData;
import com.xzzn.ems.domain.vo.PcsBranchInfo;
import org.apache.ibatis.annotations.Param;

/**
 * pcs支路数据Mapper接口
 *
 * @author xzzn
 * @date 2025-06-29
 */
public interface EmsPcsBranchDataMapper
{
    /**
     * 查询pcs支路数据
     *
     * @param id pcs支路数据主键
     * @return pcs支路数据
     */
    public EmsPcsBranchData selectEmsPcsBranchDataById(Long id);

    /**
     * 查询pcs支路数据列表
     *
     * @param emsPcsBranchData pcs支路数据
     * @return pcs支路数据集合
     */
    public List<EmsPcsBranchData> selectEmsPcsBranchDataList(EmsPcsBranchData emsPcsBranchData);

    /**
     * 新增pcs支路数据
     *
     * @param emsPcsBranchData pcs支路数据
     * @return 结果
     */
    public int insertEmsPcsBranchData(EmsPcsBranchData emsPcsBranchData);

    /**
     * 修改pcs支路数据
     *
     * @param emsPcsBranchData pcs支路数据
     * @return 结果
     */
    public int updateEmsPcsBranchData(EmsPcsBranchData emsPcsBranchData);

    /**
     * 删除pcs支路数据
     *
     * @param id pcs支路数据主键
     * @return 结果
     */
    public int deleteEmsPcsBranchDataById(Long id);

    /**
     * 批量删除pcs支路数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEmsPcsBranchDataByIds(Long[] ids);

    /**
     * 根据site_id和device_id获取支路最新数据
     * @param siteId
     * @param deviceId
     * @return
     */
    public List<PcsBranchInfo> getPcsBranchInfoList(@Param("siteId")String siteId, @Param("deviceId")String deviceId);

    int insertPcsBranchDataList(List<EmsPcsBranchData> list);
}
